Skip to main content
GET
List Funds Recoveries

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Headers

X-Account-Id
string<uuid>

Account ID (UUID) from X-Account-Id header

Query Parameters

limit
integer<int64>
default:10

The maximum number of items to include in the response (default: 10, range: 1-100)

page
integer<int64>
default:1

The number of the page that you want to retrieve (default: 1, minimum: 1)

sort_order
string
default:asc

The order used to sort the results: asc or desc

status
string[]

Filter by funds recovery status (comma-separated for OR match): CREATED, TRACKED, AWAITING_ANALYSIS, ANALYSED, REFUNDING, COMPLETED, CANCELLED

situation_type
string

Filter by situation type: SCAM, ACCOUNT_TAKEOVER, COERCION, FRAUDULENT_ACCESS, OTHER, UNKNOWN

root_transaction_id
string

Filter by root transaction ID (32 characters)

modified_after
string

Filter by funds recoveries modified after this timestamp (RFC3339 format)

modified_before
string

Filter by funds recoveries modified before this timestamp (RFC3339 format)

Response

OK

items
object[]
required

Array of funds recoveries for the current page

limit
integer<int64>
required

Number of items per page

Example:

10

page
integer<int64>
required

Current page number

Example:

1

total
integer<int64>
required

Total number of funds recoveries matching the filters

Example:

42